gnutls_ocsp_resp_get_response(3)

NAME
gnutls_ocsp_resp_get_response - API function

SYNOPSIS
#include <gnutls/ocsp.h>

int gnutls_ocsp_resp_get_response(gnutls_ocsp_resp_const_t resp, gnutls_datum_t * response_type_oid, gnutls_datum_t * response);

ARGUMENTS

gnutls_ocsp_resp_const_t resp
    should contain a gnutls_ocsp_resp_t type

gnutls_datum_t * response_type_oid
    newly allocated output buffer with response type OID

gnutls_datum_t * response
    newly allocated output buffer with DER encoded response

DESCRIPTION
This function will extract the response type OID in and the response data from an OCSP response. Normally the
 response_type_oid is always "1.3.6.1.5.5.7.48.1.1" which means the
 response should be decoded as a Basic OCSP Response, but technically other response types could be used. This function is typically only useful when you want to extract the response type OID of an response for diagnostic purposes. Otherwise gnutls_ocsp_resp_import() will decode the basic OCSP response part and the caller need not worry about that aspect. Since 3.7.0 response_type_oid ->size does not account for the terminating null byte.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001- Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/